IF EXISTS
(
    SELECT *
    FROM sys.views
    WHERE object_id = OBJECT_ID(N'[dbo].V_PDV_CAMPANHA_ADICIONAIS_EST_PROD_CAMPANHA_TENTACLE')
)
    DROP VIEW [dbo].[V_PDV_CAMPANHA_ADICIONAIS_EST_PROD_CAMPANHA_TENTACLE];
GO

CREATE VIEW [dbo].[V_PDV_CAMPANHA_ADICIONAIS_EST_PROD_CAMPANHA_TENTACLE]
AS
     SELECT CAMP_FIL.CD_EMP
          , CAMP_FIL.CD_CAMPANHA_ADIC
          , CAMP_CPL.CD_PROD
          , CAMP_CPL.QTDE_PROD
		  , GETDATE() AS DT_HR_CARGA
     FROM
          PDV_CAMPANHA_ADICIONAIS CAMP_ADIC
          INNER JOIN PDV_CAMPANHA_ADICIONAIS_PRC_FILIAL CAMP_FIL
          ON CAMP_ADIC.CD_EMP = CAMP_FIL.CD_EMP
             AND CAMP_ADIC.CD_CAMPANHA_ADIC = CAMP_FIL.CD_CAMPANHA_ADIC
          INNER JOIN PDV_CAMPANHA_ADICIONAIS_EST_PROD_CAMPANHA CAMP_CPL
          ON CAMP_FIL.CD_EMP = CAMP_FIL.CD_EMP
             AND CAMP_FIL.CD_CAMPANHA_ADIC = CAMP_CPL.CD_CAMPANHA_ADIC
     WHERE CAMP_ADIC.CD_EMP = 1
			AND CAMP_ADIC.DT_VALID >= CONVERT(VARCHAR ,GETDATE(),112)
			AND CAMP_ADIC.STATUS_CAMPANHA = 0;
GO